> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# List Facility entities as filters.

- Product: Facilities
- Section: Facilities
- Snapshot: Current
- Method: `GET`
- Path: `/api/facilities/filter`

## Query parameters

### `category`

Type: `number`  
Required: no  

### `localityCategory`

Type: `number`  
Required: no  

### `selection`

Type: `string`  
Required: no  

### `organization`

Type: `number`  
Required: yes  

### `accommodation`

Type: `number`  
Required: no  

### `division`

Type: `number`  
Required: no  

### `locale`

Type: `string`  
Required: no  

## Execute with TypeScript

Package: `@recranet/sdk`  

```ts
import { RecranetApiClient } from "@recranet/sdk";

const client = new RecranetApiClient({ apiKey: process.env.RECRANET_API_KEY! });

const result = await client.facilities.filter({
  organization: 0,
});
```

## Execute with curl

```bash
curl "https://app.recranet.com/api/facilities/filter" \
    -H "X-Api-Key: $RECRANET_API_KEY" \
    --url-query "organization=$ORGANIZATION"
```

## Responses

### Response `200`

Category: success  

Successful response

#### `application/json`

##### Generated example

```json
[
  {
    "id": 1,
    "type": "Algemene voorzieningen",
    "name": "nl",
    "facilitySpecifications": {
      "id": 1,
      "type": "WIFI",
      "name": "Wifi / Internet",
      "numOfAccommodations": 12
    }
  }
]
```

##### Schema

###### object[]

Type: `object[]`  

###### object

Type: `object`  

###### `id`

Type: `number`  
Required: no  

###### `type`

Type: `string`  
Required: no  

###### `name`

Type: `string`  
Required: no  

###### `facilitySpecifications`

Type: `object`  
Required: no  

###### `id`

Type: `number`  
Required: no  

###### `type`

Type: `string`  
Required: no  

###### `name`

Type: `string`  
Required: no  

###### `numOfAccommodations`

Type: `number`  
Required: no  

### Response `400`

Category: client-error  

Bad request

#### `application/json`

##### Example

```json
{
  "statusCode": 400,
  "description": "Bad request",
  "errors": [
    "Bad request"
  ]
}
```

##### Schema

###### object

Type: `object`  

## Related representations

- [Human documentation](/facilities/methods/filter/)
- [TypeScript Markdown](/facilities/methods/filter.md?lang=typescript)
- [curl Markdown](/facilities/methods/filter.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/facilities/llms.txt)
- [snapshot llms.txt](/facilities/llms.txt)
